Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class PersistentFieldChangeImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.PersistentFieldChangeImpl

All Implemented Interfaces:
  PersistentFieldChange

    public class PersistentFieldChangeImpl

extends java.lang.Object
implements PersistentFieldChange

Constructor Summary
`PersistentFieldChangeImpl(java.lang.String componentId, java.lang.String fieldName, java.lang.Object value)`

Method Summary
`java.lang.String` | `getComponentId()` Returns the nested id of the component, or the empty string for the page's root component.
`java.lang.String` | `getFieldName()` Returns the name of the field for which a change was recorded.
`java.lang.Object` | `getValue()` Returns the new value for the field (which may be null).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentFieldChangeImpl

    public PersistentFieldChangeImpl(java.lang.String componentId,
                                     java.lang.String fieldName,
                                     java.lang.Object value)

Method Detail

### getComponentId

    public java.lang.String getComponentId()

  Description copied from interface: `PersistentFieldChange`
  Returns the nested id of the component, or the empty string for the page's root component.

  Specified by:
    `getComponentId` in interface `PersistentFieldChange`

### getFieldName

    public java.lang.String getFieldName()

  Description copied from interface: `PersistentFieldChange`
  Returns the name of the field for which a change was recorded.

  Specified by:
    `getFieldName` in interface `PersistentFieldChange`

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `PersistentFieldChange`
  Returns the new value for the field (which may be null).

  Specified by:
    `getValue` in interface `PersistentFieldChange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.